Subject: pkg/25443: devel/p5-Test-Harness doesn't install (claims it'll overwrite perl58)
To: None <>
From: None <>
List: pkgsrc-bugs
Date: 05/03/2004 05:26:13
>Number:         25443
>Category:       pkg
>Synopsis:       devel/p5-Test-Harness doesn't install (claims it'll overwrite perl58)
>Confidential:   no
>Severity:       serious
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon May 03 05:27:00 UTC 2004
>Originator:     Michael Wolfson
>Release:        2.0_BETA
NetBSD sbd 2.0_BETA NetBSD 2.0_BETA (SBD) #6: Sun May  2 08:31:52 PDT 2004  mw@s
bd:/usr/src/sys/arch/i386/compile/SBD i386
The PLIST file is empty, and I can't actually figure out what file it's upset about, but it seems to think it'll overwrite a file that perl installed.

make install


===> Building for p5-Test-Harness-2.40
cp lib/Test/Harness/ blib/lib/Test/Harness/
cp lib/Test/Harness/ blib/lib/Test/Harness/
cp lib/Test/ blib/lib/Test/
cp lib/Test/Harness/ blib/lib/Test/Harness/
cp bin/prove blib/script/prove
/usr/pkg/bin/perl "-MExtUtils::MY" -e "MY->fixin(shift)" blib/script/prove
Manifying blib/man1/prove.1
Manifying blib/man3/Test::Harness::Iterator.3
Manifying blib/man3/Test::Harness::Assert.3
Manifying blib/man3/Test::Harness::Straps.3
Manifying blib/man3/Test::Harness.3
=> Fixing buildlink references in files-to-be-installed.
===> Installing for p5-Test-Harness-2.40
===> p5-Test-Harness-2.40 conflicts with installed package(s): perl-5.8.4  found